org.eclnt.jsfserver.elements.componentnodes

## Class ROWWORKPLACEFUNCTIONSNode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.ROWWORKPLACEFUNCTIONSNode

- All Implemented Interfaces:
    java.io.Serializable

      public class ROWWORKPLACEFUNCTIONSNode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ROWWORKPLACEFUNCTIONSNode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ROWWORKPLACEFUNCTIONSNode` | `bindComment(IDynamicContentBindingObject value)`
    `ROWWORKPLACEFUNCTIONSNode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `ROWWORKPLACEFUNCTIONSNode` | `bindObjectbinding(IDynamicContentBindingObject value)`
    `ROWWORKPLACEFUNCTIONSNode` | `bindRendered(IDynamicContentBindingObject value)`
    `ROWWORKPLACEFUNCTIONSNode` | `bindStylevariant(IDynamicContentBindingObject value)`
    `ROWWORKPLACEFUNCTIONSNode` | `setComment(java.lang.String value)`
    `ROWWORKPLACEFUNCTIONSNode` | `setConfiginfo(java.lang.String value)`
    `ROWWORKPLACEFUNCTIONSNode` | `setId(java.lang.String value)`
    `ROWWORKPLACEFUNCTIONSNode` | `setObjectbinding(java.lang.String value)`
    `ROWWORKPLACEFUNCTIONSNode` | `setRendered(boolean value)`
    `ROWWORKPLACEFUNCTIONSNode` | `setRendered(java.lang.String value)`
    `ROWWORKPLACEFUNCTIONSNode` | `setStylevariant(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ROWWORKPLACEFUNCTIONSNode

          public ROWWORKPLACEFUNCTIONSNode()

  - ### Method Detail

    - #### setId

          public ROWWORKPLACEFUNCTIONSNode setId(java.lang.String value)

    - #### setComment

          public ROWWORKPLACEFUNCTIONSNode setComment(java.lang.String value)

    - #### bindComment

          public ROWWORKPLACEFUNCTIONSNode bindComment(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public ROWWORKPLACEFUNCTIONSNode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public ROWWORKPLACEFUNCTIONSNode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setObjectbinding

          public ROWWORKPLACEFUNCTIONSNode setObjectbinding(java.lang.String value)

    - #### bindObjectbinding

          public ROWWORKPLACEFUNCTIONSNode bindObjectbinding(IDynamicContentBindingObject value)

    - #### setRendered

          public ROWWORKPLACEFUNCTIONSNode setRendered(java.lang.String value)

    - #### bindRendered

          public ROWWORKPLACEFUNCTIONSNode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public ROWWORKPLACEFUNCTIONSNode setRendered(boolean value)

    - #### setStylevariant

          public ROWWORKPLACEFUNCTIONSNode setStylevariant(java.lang.String value)

    - #### bindStylevariant

          public ROWWORKPLACEFUNCTIONSNode bindStylevariant(IDynamicContentBindingObject value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.